com.sun.java.browser.dom

## Class DOMUnsupportedException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - com.sun.java.browser.dom.DOMUnsupportedException

All Implemented Interfaces:
  Serializable

    public class DOMUnsupportedException
    extends Exception

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`DOMUnsupportedException()` Constructs a new DOMUnsupportedException with no detail message.
`DOMUnsupportedException(Exception e)` Constructs a new DOMUnsupportedException with the given exception as a root clause.
`DOMUnsupportedException(Exception e, String msg)` Constructs a new DOMUnsupportedException with the given exception as a root clause and the given detail message.
`DOMUnsupportedException(String msg)` Constructs a new DOMUnsupportedException with the given detail message.

### Method Summary

All Methods Instance Methods Concrete Methods
`Throwable` `getCause()` Returns the root cause of the error or null if there is none.
`String` `getMessage()` Returns the detail message of the error or null if there is no detail message.

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DOMUnsupportedException

    public DOMUnsupportedException()

Constructs a new DOMUnsupportedException with no detail message.

#### DOMUnsupportedException

    public DOMUnsupportedException(String msg)

Constructs a new DOMUnsupportedException with the given detail message.

Parameters:
  `msg` - Detail message.

#### DOMUnsupportedException

    public DOMUnsupportedException(Exception e)

Constructs a new DOMUnsupportedException with the given exception as a root clause.

Parameters:
  `e` - Exception.

#### DOMUnsupportedException

    public DOMUnsupportedException(Exception e,
                                   String msg)

Constructs a new DOMUnsupportedException with the given exception as a root clause and the given detail message.

Parameters:
  `e` - Exception.
  `msg` - Detail message.

### Method Detail

#### getMessage

    public String getMessage()

Returns the detail message of the error or null if there is no detail message.

Overrides:
  `getMessage` in class `Throwable`
Returns:
  the detail message string of this `Throwable` instance (which may be `null`).

#### getCause

    public Throwable getCause()

Returns the root cause of the error or null if there is none.

Overrides:
  `getCause` in class `Throwable`
Returns:
  the cause of this throwable or `null` if the cause is nonexistent or unknown.